component-section(datetimestart='2021-12-02T18:30' minutesneeded='165' istopmost='true')
  div(slot='title') Prioriteitswachtrij en deque
  p.bron
    a(href='#sec_4') Data
    | , 
    a(href='#sec_4.5') 4.5
    |  tot en met 
    a(href='#sec_4.6') 4.6
    | .
  component-section
    div(slot='title') Wat je leert
    component-intendedlearningoutcomes
      component-intendedlearningoutcome(codes='["ontwikkeling-datastructuur-deque"]')
        | Je ontwikkelt een deque.
      component-intendedlearningoutcome(codes='["ontwikkeling-datastructuur-prioriteitswachtrij"]')
        | Je ontwikkelt een prioriteitswachtrij (priority queue).
  component-section(datetimestart='2021-12-02T18:30' minutesneeded='5')
    div(slot='title') Welkom
  component-section(datetimestart='2021-12-02T18:35' minutesneeded='30')
    div(slot='title') Prioriteitswachtrijen
    ul
      li
        p Voorbeeld van een prioriteitswachtrij in Java.
      li
        p
          a(href='https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/PriorityQueue.html') Prioriteitswachtrijen in Java SE 17
          | .
  component-section(datetimestart='2021-12-02T19:05' minutesneeded='30')
    div(slot='title') Toepassing van prioriteitswachtrij in Rust: a queue to the rescue
    ul.instructor_only
      li
        p
          a(href='https://gitlab.com/han-aim/dt-sd-asd/adp/queuest-against-corona') Queuest against corona
          | .
  component-section(datetimestart='2021-12-02T19:35' minutesneeded='10')
    div(slot='title') ⏸️ Pauze
  component-section(datetimestart='2021-12-02T19:45' minutesneeded='30')
    // TODO:
    div(slot='title') Deques
    ul
      li
        p
          | Samenvattende uitleg met 
          a(href='https://visualgo.net/en/list') VisuAlgo: Deque
          | .
      li
        p
          a(href='https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/Deque.html') Deques in Java SE 17
          | .
  component-section(datetimestart='2021-12-02T20:15' minutesneeded='50')
    div(slot='title') Zelf (samen)werken
  component-section(datetimestart='2021-12-02T21:05' minutesneeded='10')
    div(slot='title') Afronding
